Bug 1072993 - Unexpected GC log messages on stdout
Summary: Unexpected GC log messages on stdout
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Scripts and Commands
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR3
: EAP 6.3.0
Assignee: Aaron Ogburn
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-05 15:15 UTC by Jimmy Wilson
Modified: 2014-06-28 15:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 15:43:05 UTC
Type: Bug


Attachments (Terms of Use)
bz1072993.war (595 bytes, application/zip)
2014-03-07 22:09 UTC, Aaron Ogburn
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker JBPAPP-11024 Critical Closed Unexpected log messages on stdout 2018-08-14 06:06:33 UTC

Description Jimmy Wilson 2014-03-05 15:15:40 UTC
This is a proactive bug report that may not always be observable depending on the JVM version used.

Details are logged in the linked JBPAPP-11024:

"""
Unexpected log messages on stdout, maybe related to enabled GC logging.

Fresh unzip of http://download.devel.redhat.com/devel/candidates/JBEAP/JBEAP-5.3.0.ER2/jboss-eap-noauth-5.3.0-ER2.zip ++ start application server ++ wait ~2 hours

{code}
$ jboss-eap-5.3/jboss-as/bin/run.sh --host=localhost -c default
{code}

{code}
$ java -version
java version "1.6.0_45"
Java(TM) SE Runtime Environment (build 1.6.0_45-b06)
Java HotSpot(TM) 64-Bit Server VM (build 20.45-b01, mixed mode)
{code}

{code}
...
13:33:56,713 INFO  [Http11Protocol] Starting Coyote HTTP/1.1 on http-localhost%2F127.0.0.1-8080
13:33:56,731 INFO  [AjpProtocol] Starting Coyote AJP/1.3 on ajp-localhost%2F127.0.0.1-8009
13:33:56,833 INFO  [ServerImpl] JBoss (Microcontainer) [5.3.0 (build: SVNTag=JBPAPP_5_3_0 date=201403010857)] Started in 17s:386ms
[Unloading class sun.reflect.GeneratedSerializationConstructorAccessor37]
[Unloading class sun.reflect.GeneratedSerializationConstructorAccessor25]
[Unloading class sun.reflect.GeneratedConstructorAccessor73]
[Unloading class sun.reflect.GeneratedConstructorAccessor6]
[Unloading class sun.reflect.GeneratedConstructorAccessor82]
...
{code}

Comment 2 Aaron Ogburn 2014-03-07 22:09:25 UTC
Created attachment 872038 [details]
bz1072993.war

Comment 3 Aaron Ogburn 2014-03-07 22:12:35 UTC
This can be tested quickly by generating collectible/unloadable classes such as by undeploying an application.  Then forcing a GC will cause the unloading.  Attached a simple war that'll also force GC that can be used as a test case.

1) Deploy bz1072993.war
2) Request http://localhost:8080/bz1072993/
3) Undeploy and redeploy bz1072993.war
4) Request http://localhost:8080/bz1072993/ again

After point 4, you should see a message like the following in console output without the fix:

[Unloading class org.apache.jsp.index_jsp]


This is no longer generated with the fix.

Comment 4 Aaron Ogburn 2014-03-10 03:08:20 UTC
https://github.com/jbossas/jboss-eap/pull/1033

Comment 7 JBoss JIRA Server 2014-03-13 01:50:53 UTC
Aaron Ogburn <aogburn@redhat.com> updated the status of jira JBPAPP-11024 to Resolved

Comment 9 Petr Kremensky 2014-03-13 07:06:26 UTC
Verified on EAP 6.3.0.DR4.

Comment 10 JBoss JIRA Server 2014-04-14 08:26:48 UTC
Pavel Slavicek <pslavice@redhat.com> updated the status of jira JBPAPP-11024 to Closed

Comment 11 JBoss JIRA Server 2014-04-15 03:25:43 UTC
Russell Dickenson <rdickens@redhat.com> updated the status of jira JBPAPP-11024 to Reopened

Comment 12 JBoss JIRA Server 2014-04-15 03:26:02 UTC
Russell Dickenson <rdickens@redhat.com> updated the status of jira JBPAPP-11024 to Resolved

Comment 13 JBoss JIRA Server 2014-04-15 03:26:16 UTC
Russell Dickenson <rdickens@redhat.com> updated the status of jira JBPAPP-11024 to Closed


Note You need to log in before you can comment on or make changes to this bug.